Package uk.ac.starlink.vo

## Interface TapServiceFinder.Table

- Enclosing interface:
    TapServiceFinder

      public static interface TapServiceFinder.Table

  Basic metadata describing a table provided by a TAP service.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription()` | Returns a textual description of this table.
    `java.lang.String` | `getName()` | Returns the name of this table.
    `java.lang.String` | `getServiceId()` | Returns the IVO Identifier of the service containing this table.

- - ### Method Detail

    - #### getServiceId

          java.lang.String getServiceId()

      Returns the IVO Identifier of the service containing this table.
      Returns:
        service ivoid

    - #### getName

          java.lang.String getName()

      Returns the name of this table.
      Returns:
        table name

    - #### getDescription

          java.lang.String getDescription()

      Returns a textual description of this table.
      Returns:
        table description